# RPM specfile for the fsync package
# Copyright 2009 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW September 2009
# SCCS: @(#)fsync.spec	1.2.1.1 11/20/19 21:27:04
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name fsync
%define version 1.2
%define release 1.1

Summary: synchronize file's in-core state with storage device
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/fsync-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

License: GPL

Packager: %{packager}

Group: Applications/System
BuildRoot: %{_builddir}/%{name}-root
BuildRequires: make sed gcc autoconf

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
If system service is interrupted at the wrong moment (eg crash or power fail)
what is in the filesystem on reboot might inconsistent. This is especially
true with files in the process of being updated; eg where a modified copy of a
file is created that is then renamed over the original.
Flushing blocks to disk can help to avoid problems.
This is a command line interface to the fsync(2) and fdatasync(2) system calls.

%prep
%setup -q

%build
autoconf
%configure
make

%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/fsync
%doc README Contributors License Hacks
%{_mandir}/man*/fsync.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Fri Nov 11 2011 Alain Williams <addw@phcomp.co.uk>
- Write man page & other bits for proper release
* Thu Sep 10 2009 Alain Williams <addw@phcomp.co.uk>
- First time as an RPM

